// --+ options: json=compute +--

@#define BACKWARD = false
@#define EXOGENIZE_FOREIGN = true
@#define BACKWARD_WITH_UIP = false
@#define DEFAULT_TO_MCE = false
@#define EXACT_EXPECTATIONS_10Y = false
@#define EXOGENOUS_EXCHANGE_RATE = true
@#define FULL = false
@#define HYBRID = false
@#define MCE_IN_EXCHANGE_RATE = false
@#define MCE_IN_EXPECTED_AVERAGED_OUTPUT_GAP = true
@#define MCE_IN_FINANCIAL = true
@#define MCE_IN_LONG_TERM_INTEREST_RATE = true
@#define MCE_IN_PAC_BUSINESS = false
@#define MCE_IN_PAC_CONSUMPTION = false
@#define MCE_IN_PAC_HOUSEPRICE = false
@#define MCE_IN_PAC_LABOUR = false
@#define MCE_IN_PAC_PROPERTY_INCOME = false
@#define MCE_IN_PAC_RESIDENTIAL = false
@#define MCE_IN_PERMANENT_INCOMES = false
@#define MCE_IN_WAGE = true
@#define MCE_IN_WAPRO = true

@#define BUILD_MATLAB_PLOTS = true

@#define SimulationPeriods  = 1500

@#include "core.mod"

@#include "update-database.mod"

shocks;
  var res_U2_STN;
  periods 1;
  values 1;
end;

initval_file(series=baseline, first_obs=3);
perfect_foresight_setup(periods=@{SimulationPeriods});
perfect_foresight_solver(stack_solve_algo=0, no_homotopy);
